# Uses of Interface
net.shibboleth.idp.authn.principal.PrincipalEvalPredicate

Packages that use PrincipalEvalPredicate
Package
Description
net.shibboleth.idp.authn.context
Context classes for managing authentication-related state.
net.shibboleth.idp.authn.principal
Classes supporting Java `Principal` usage.
net.shibboleth.idp.authn.principal.impl
Implementation of functionality related to Java Principals.

## Uses of PrincipalEvalPredicate in net.shibboleth.idp.authn.context

Methods in net.shibboleth.idp.authn.context that return PrincipalEvalPredicate
Modifier and Type
Method
Description
`PrincipalEvalPredicate`
RequestedPrincipalContext.`getPredicate(Principal principal)`
Get a predicate to apply based on a principal type and the content of this context.

## Uses of PrincipalEvalPredicate in net.shibboleth.idp.authn.principal

Methods in net.shibboleth.idp.authn.principal that return PrincipalEvalPredicate
Modifier and Type
Method
Description
`PrincipalEvalPredicate`
PrincipalEvalPredicateFactory.`getPredicate(Principal candidate)`
Get a predicate to compare a candidate `Principal` object against a `PrincipalSupportingComponent` for a "match", where the definition of a match is implementation-specific.

## Uses of PrincipalEvalPredicate in net.shibboleth.idp.authn.principal.impl

Classes in net.shibboleth.idp.authn.principal.impl that implement PrincipalEvalPredicate
Modifier and Type
Class
Description
`private class`
`ExactPrincipalEvalPredicateFactory.ExactMatchPredicate`
Implementation of an exact-matching predicate.
`private class`
`InexactPrincipalEvalPredicateFactory.InexactMatchPredicate`
Implementation of an inexact-matching predicate.
Methods in net.shibboleth.idp.authn.principal.impl that return PrincipalEvalPredicate
Modifier and Type
Method
Description
`PrincipalEvalPredicate`
ExactPrincipalEvalPredicateFactory.`getPredicate(Principal candidate)`
Get a predicate to compare a candidate `Principal` object against a `PrincipalSupportingComponent` for a "match", where the definition of a match is implementation-specific.
`PrincipalEvalPredicate`
InexactPrincipalEvalPredicateFactory.`getPredicate(Principal candidate)`
Get a predicate to compare a candidate `Principal` object against a `PrincipalSupportingComponent` for a "match", where the definition of a match is implementation-specific.